public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: journalctl-and-similar: Adjust subtest relevancy
Date: Fri, 11 Sep 2026 13:22:43 GMT	[thread overview]
Message-ID: <178913296330.1.9611861177802518337.tests-selinux-6b8128b89158@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 6b8128b89158002dd4505feff22fad72733fea74
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-05-05T14:44:32+00:00
            Stats  : +2/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/6b8128b89158002dd4505feff22fad72733fea74?branch=pr775-checkpolicy-revdeps

            Log:
            journalctl-and-similar: Adjust subtest relevancy

Do not test "bz#2136189 + bz#2153782" on RHEL-8 version below RHEL-8.8, and
RHEL-9 versions below RHEL-9.4.

---
diff --git a/selinux-policy/journalctl-and-similar/runtest.sh b/selinux-policy/journalctl-and-similar/runtest.sh
index 2f9dc81..4f5a7f3 100755
--- a/selinux-policy/journalctl-and-similar/runtest.sh
+++ b/selinux-policy/journalctl-and-similar/runtest.sh
@@ -125,6 +125,7 @@ rlJournalStart
         rlRun "setsebool ssh_sysadm_login off"
     rlPhaseEnd
 
+    if ! ( IrIsRHEL 8 && rlIsRHEL "<8.8" ) && ! ( rlIsRHEL 9 && rlIsRHEL "<9.3" ); then
     rlPhaseStartTest "bz#2136189 + bz#2153782"
         rlSESearchRule "allow journalctl_t journalctl_t : capability { sys_resource } [ ]"
         rlSESearchRule "allow journalctl_t journalctl_t : process { setrlimit } [ ]"
@@ -138,6 +139,7 @@ rlJournalStart
         rlRun "userdel -rfZ ${USER_NAME}"
         rlRun "setsebool ssh_sysadm_login off"
     rlPhaseEnd
+    fi
 
     rlPhaseStartCleanup
         sleep 2

                 reply	other threads:[~2026-09-11 13:22 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913296330.1.9611861177802518337.tests-selinux-6b8128b89158@fedoraproject.org \
    --to=sbroz@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox